## libical 1.43-99.3+0m5

=== debian/changelog ===
libical (1.43-99.3+0m5) stable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Sudheer Chiluveri <sudheer.chiluveri@nokia.com>  Fri, 21 Aug 2009 13:54:22 +0300

libical (1.43-99.3) stable; urgency=low

  * Week 34, 2009 - Wednesday
  *
  * Fixes: NB#103872    Calendar does not calculate event instances properly for recursive events for which BYSETPOS rule is specified

 -- Ilias Biris <ilias.biris@nokia.com>  Wed, 19 Aug 2009 18:46:18 +0400

libical (1.43-99.2) stable; urgency=low

  * Week 34, 2009 - Monday
  *
  * Fixes: NB#132166    Multiple all day event is changed to timebased event after importing

 -- Ilias Biris <ilias.biris@nokia.com>  Mon, 17 Aug 2009 19:25:10 +0400

libical (1.43-99.1) stable; urgency=low

  * Week 33, 2009 - Thursday
  *
  * Fixes: NB#133376    Upmerge of libical to the latest version from upstream is required

 -- Ilias Biris <ilias.biris@nokia.com>  Thu, 13 Aug 2009 15:25:59 +0400

libical (0.43-99) stable; urgency=high

  * new upstream release

 -- Wilfried Goesgens <w.goesgens@outgesourced.org>  Sat, 13 Sep 2008 10:00:00 +0001

libical (0.31-4) stable; urgency=high

  * new release fixing a crash

 -- Wilfried Goesgens <w.goesgens@outgesourced.org>  Mon, 17 Mar 2008 20:00:00 +0001

libical (0.26.6-1) unstable; urgency=low

  [ Fathi Boudra ]
  * Initial Debian release (Closes: #404862)
  * Remove dirs and README.Debian
  * Add soname patch
  * compat: bumped to 5
  * control:
    * convert package to cdbs
    * add myself as uploader
    * bump Standards-Version to 3.7.2
    * rewrite descriptions
  * copyright: complete rewrite

  [ Wilfried Goesgens ]
  * Update to aurore ical.

 -- Fathi Boudra <fboudra@free.fr>  Wed, 27 Dec 2006 12:19:06 +0100

libical (0.24-1) unstable; urgency=low

  * Initial release

 -- Wilfried Goesgens <w.goesgens@outgesourced.org>  Fri, 22 Jul 2005 13:09:43 +0200
