## libical 1.43-99.4%2b0m5

=== debian/changelog ===
libical (1.43-99.4+0m5) stable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Sudheer Chiluveri <sudheer.chiluveri@nokia.com>  Fri, 20 Nov 2009 17:04:15 +0200

libical (1.43-99.4) stable; urgency=low

  * Week 47, 2009 - Friday
  * 
  * Fixes: NB#147605 Remove debug symbol files to from binary package

 -- Ilias Biris <ilias.biris@nokia.com>  Fri, 20 Nov 2009 11:57:46 +0300
