=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
 
 DEB_CONFIGURE_PREFIX=/usr
 DEB_CONFIGURE_SYSCONFDIR=/etc
-DEB_DH_STRIP_ARGS=--dbg-package=libical
+DEB_DH_STRIP_ARGS=--dbg-package=libical-dbg
 
 ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
 	DEB_CONFIGURE_EXTRA_FLAGS=--enable-debug
