=== debian/control ===
Source: libical
Section: office
Priority: optional
Maintainer: Biris Ilias <ilias.biris@nokia.com>
Uploaders: Biris Ilias <ilias.biris@nokia.com>
Build-Depends: debhelper (>= 4.0.0), cdbs
Standards-Version: 3.8.0

Package: libical
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Libical libraries 

Package: libical-dbg
Section: libs
Architecture: any
Depends: libical (= ${binary:Version})
Description: Libical libraries 
 This package contains debug symbols for libical libraries

Package: libical-dev
Section: devel
Architecture: any
Depends: libical (= ${binary:Version})
Description: libical developer's files.
