## libical 1.43-101%2b0m5

=== debian/changelog ===
libical (1.43-101+0m5) stable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Aravind Venkata <ext-aravind.taduturi@nokia.com>  Wed, 10 Feb 2010 17:16:19 +0200

libical (1.43-101) stable; urgency=low

  * Non-maintainer upload.
  * Fixes: NB#137147 <coverity> defects from libical

 -- Ilias Biris <ilias.biris@nokia.com>  Fri, 05 Feb 2010 19:28:48 +0300

libical (1.43-100) stable; urgency=low

  * Week 48, 2009 - Tuesday
  * 
  * Separate branch pre-release from PR1.1

 -- Ilias Biris <ilias.biris@nokia.com>  Tue, 24 Nov 2009 16:30:13 +0300
